using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("Ref_Kategori3")]
    public class InnerSubKategori
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int Kategori3ID { get; set; }

        [Required]
        [StringLength(250)]
        public string Kategori3Name { get; set; }

        [StringLength(250)]
        public string DispositionCode3 { get; set; }

        public int Kategori2ID { get; set; }

        [ForeignKey("Kategori2ID")]
        private  SubKategori SubKategori { get; set; }
        
        [Required]
        public bool IsActive { get; set; }

        [Required]
        [StringLength(255)]
        public string CreatedBy { get; set; }

        [Required]
        public DateTime CreatedDatetime { get; set; }

        [Required]
        [StringLength(255)]
        public string LastUpdatedBy { get; set; }

        [Required]
        public DateTime LastUpdatedDatetime { get; set; }
        
    }
}
